<?php if($action == 'add'):?>
    <!-- Add user form or functionality here -->
    <div class="w-50 mx-auto"> 
        <form method="POST" action="<?=ROOT?>/admin/categories/add">
        <h1 class="h3 mb-3 fw-normal">Create Category</h1>
        <?php
        if(!empty($errors))
        {
        echo '<div class="alert alert-danger">';
        echo '<ul>';
        foreach($errors as $error)
        {
            echo '<li>'.$error.'</li>';
        }
        echo '</ul>';
        echo '</div>';
        }
        ?>
        <div class="alert alert-danger d-none" id="alert">
        <ul id="error-list">
        </ul>
        </div>


        <div class="form-floating">
        <input value="<?oldvalue('category')?>" type="text" name=category class="form-control" id="floatingInput" placeholder="name@example.com" required>
        <label for="floatingInput">Category</label>
        </div>

        <div class="form-floating">
        <select id="dropdown1" class="form-select mb-3" name="disabled">
          <option value="0" >YES</option>
          <option value="1">NO</option>
        </select>
        <label for="floatingInput">Active</label>
        </div>
        
        <div class="d-flex justify-content-between mt-3">
        <a href="<?=ROOT?>/admin/categories" class="btn btn-secondary py-2 px-4">Back</a>
        <button class="btn btn-primary py-2 px-4" type="submit">Add</button>
        </div>
        </form>
    </div>

<?php elseif($action == 'edit'):?>
    <!-- Edit user form or functionality here -->
    <?php
    $edit_id=$url[3] ?? '';
        $query="SELECT * FROM categories where id=:id and active=1";
        $user=query_row($query,['id'=>$edit_id]);
        if($user){
    ?>
        <div class="w-50 mx-auto"> 
        <form method="POST" action="<?=ROOT?>/admin/categories/edit/<?=$user['id']?>" enctype="multipart/form-data">
        <h1 class="h3 mb-3 fw-normal">Edit Category</h1>
        <?php
        if(!empty($errors))
        {
        echo '<div class="alert alert-danger">';
        echo '<ul>';
        foreach($errors as $error)
        {
            echo '<li>'.$error.'</li>';
        }
        echo '</ul>';
        echo '</div>';
        }
        ?>
        <input type="hidden" name="id" value="<?=$user['id']?>">
        <div class="alert alert-danger d-none" id="alert">
        <ul id="error-list">
        </ul>
        </div>


        <div class="form-floating">
        <input value="<?=oldvalue('category',$user['category'])?>" 
           type="text" name="category" class="form-control" id="floatingInput" 
           placeholder="name@example.com" required>
        <label for="floatingInput">Category</label>
        </div>


        <div class="form-floating">
        <select id="dropdown1" class="form-select mb-3" name="disabled">
          <option value=0 <?= ($user['disabled'] == 0) ? 'selected' : '' ?>>Yes</option>
          <option value=1 <?= ($user['disabled'] == 1) ? 'selected' : '' ?>>No</option>
        </select>
        <label for="floatingInput">Active</label>
        </div> 

        <div class="d-flex justify-content-between mt-3">
        <a href="<?=ROOT?>/admin/categories" class="btn btn-secondary py-2 px-4">Back</a>
        <button class="btn btn-primary py-2 px-4" type="submit">Save</button>
        </div>

        </form>
    </div>
    <?php }
    else{
        echo '<div class="alert alert-danger">Category not found</div>';
        echo '<a href="'.ROOT.'/admin/categories" class="btn btn-primary">Back to categories</a>';
    }
    ?>     
<?php elseif($action == 'delete'):?> 
    <!-- Delete user functionality here -->
    <?php
    $delete_id=$url[3];
    $query="SELECT * FROM categories where id=:id";
    $user=query_row($query,['id'=>$delete_id]);
    if(!$user){
        echo '<div class="alert alert-danger">Category not found</div>';
        echo '<a href="'.ROOT.'/admin/categories" class="btn btn-primary">Back to categories</a>';
        die;
    }else{
        $query="UPDATE categories SET active=0 where id=:id";
        $user=query($query,['id'=>$delete_id]);
        ?>
        <div class="alert alert-success">Category deleted successfully</div>
        <a href="<?=ROOT?>/admin/categories" class="btn btn-primary">Back to categories</a>
        <?php
    }
    ?>
<?php else:?>    
    <!-- List all categories here -->
    <div class="table-responsive">    
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Category</th>
                    <th>Slug</th>
                    <th>Active</th>
                    <th>Action</th>
                </tr>
            </thead>
            <?php  
            $limit=5;
            $offset=($PAGE['page_number']-1)*$limit;
            $query="SELECT * FROM categories where active=1 order by id desc limit $limit offset $offset";
            $categories=query($query);
            ?>
            <tbody>
                <?php if(!empty($categories)):?>
                    <?php foreach ($categories as $user): ?>
                        <tr class="align-middle">
                            <td><?=$user['id']?></td>
                            <td><?=esc($user['category'])?></td>
                            <td><?=$user['slug']?></td>
                            <td>
                                <? if ($user['disabled'] == 0) {
                                    echo 'Yes';
                                } else {
                                    echo 'No';
                                }
                            
                            ?>
                            </td>
                            <td>
                                <a href="<?=ROOT?>/admin/categories/edit/<?=$user['id']?>" class="btn btn-primary"><i class="bi bi-pencil-square"></i></a>
                                <a data-bs-toggle="modal" data-bs-target="#deleteModal" class="btn btn-danger"><i class="bi bi-trash"></i></a>
                                <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="deleteModalLabel">Confirm Deletion</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body text-center">
                                            <p>Do you want to delete this Category?</p>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                            <a href="<?=ROOT?>/admin/categories/delete/<?=$user['id']?>" class="btn btn-danger">Delete</a>
                                        </div>
                                    </div>
                                </div>
                                </div>                           
                            </td>
                        </tr>
                    <?php endforeach; ?>
                <?php endif; ?>
            </tbody>
        </table>

        <div class="col-md-12 d-flex justify-content-center gap-2 mt-3 mb-3">
            <a href="<?=$PAGE['first_link']?>" class="btn btn-primary">First Page</a>
            <a href="<?=$PAGE['prev_link']?>" class="btn btn-primary">Previous</a>
            <a href="<?=$PAGE['next_link']?>" class="btn btn-primary">Next</a>
        </div>
    </div>
<?php endif;?>
