<?php if($action == 'add'):?>
    <!-- Add user form or functionality here -->
    <div class="w-50 mx-auto"> 
        <form method="POST" action="<?=ROOT?>/admin/users/add/" enctype="multipart/form-data"> 
        <h1 class="h3 mb-3 fw-normal">Create User</h1>
        <?php
        if(!empty($errors))
        {
        echo '<div class="alert alert-danger">';
        echo '<ul>';
        foreach($errors as $error)
        {
            echo '<li>'.$error.'</li>';
        }
        echo '</ul>';
        echo '</div>';
        }
        ?>
        <div class="alert alert-danger d-none" id="alert">
        <ul id="error-list">
        </ul>
        </div>


        <!-- Image Upload + Cropper Preview -->
        <div class="mb-3">
                <input type="file" name="image" id="imageUpload" accept="image/*">
            </div>

            <div class="mb-3">
                <img id="previewImage" src="" class="img-thumbnail" style="max-width: 100%; display: none;">
            </div>

            <div class="mb-3">
                <canvas id="croppedCanvas" style="display: none;"></canvas>
            </div>

            <input type="hidden" name="cropped_image" id="croppedImageData">

        <div class="form-floating">
        <input value="<?oldvalue('username')?>" type="text" name=username class="form-control" id="floatingInput" placeholder="name@example.com" required>
        <label for="floatingInput">Username</label>
        </div>

        <div class="form-floating">
        <input value="<?oldvalue('email')?>" type="email" name=email class="form-control" id="floatingInput" placeholder="name@example.com">
        <label for="floatingInput">Email address</label>
        </div>

        <div class="form-floating">
        <input value="<?oldvalue('bio')?>" type="text" name=bio class="form-control" id="floatingInput">
        <label for="floatingInput">Bio</label>
        </div>

        <div class="form-floating">
        <select id="dropdown1" class="form-select mb-3" name="role">
          <option value="user">User</option>
          <option value="admin">Admin</option>
        </select>
        <label for="floatingInput">Role</label>
        </div>

        <div class="form-floating">
        <input  value="<?oldvalue('password')?>" type="password" name=password class="form-control" id="floatingPassword" placeholder="Password">
        <label for="floatingPassword">Password</label>
        </div>

        <div class="form-floating">
        <input value="<?oldvalue('retype_password')?>" type="password" name=retype_password class="form-control" id="floatingPassword" placeholder="name@example.com">
        <label for="floatingInput">Retype Password</label>
        </div>
        <div class="d-flex justify-content-between mt-3">
        <a href="<?=ROOT?>/admin/users" class="btn btn-secondary py-2 px-4">Back</a>
        <button class="btn btn-primary py-2 px-4" type="submit">Add</button>
        </div>
        </form>
    </div>

<?php elseif($action == 'edit'):?>
    <!-- Edit user form or functionality here -->
    <?php
    $edit_id=$url[3] ?? '';
        $query="SELECT * FROM users where id=:id and active=1";
        $user=query_row($query,['id'=>$edit_id]);
        if($user){
    ?>
        <div class="w-50 mx-auto"> 
        <form method="POST" action="<?=ROOT?>/admin/users/edit/<?=$user['id']?>" enctype="multipart/form-data">
        <h1 class="h3 mb-3 fw-normal">Edit User</h1>
        <?php
        if(!empty($errors))
        {
        echo '<div class="alert alert-danger">';
        echo '<ul>';
        foreach($errors as $error)
        {
            echo '<li>'.$error.'</li>';
        }
        echo '</ul>';
        echo '</div>';
        }
        ?>
        <input type="hidden" name="id" value="<?=$user['id']?>">
        <div class="alert alert-danger d-none" id="alert">
        <ul id="error-list">
        </ul>
        </div>

    
       <!-- Image Upload -->
       <div class="text-center">
                        <label class="form-label fw-bold">Profile Image</label>
                        <div class="mb-3">
                            <input type="file" name="image" id="imageUpload" class="form-control" accept="image/*">
                        </div>
                        <div class="mb-3">
                            <img id="previewImage" 
                                src="<?= !empty($user['image']) ? get_image($user['image']) : '' ?>" 
                                class="img-thumbnail rounded-circle shadow-sm" 
                                style="width: 120px; height: 120px; object-fit: cover; <?= !empty($user['image']) ? '' : 'display: none;' ?>">
                        </div>
                        <canvas id="croppedCanvas" style="display: none;"></canvas>
                    </div>

                    <input type="hidden" name="cropped_image" id="croppedImageData">

        <div class="form-floating mt-5">
        <input value="<?=oldvalue('username',$user['username'])?>" 
           type="text" name="username" class="form-control" id="floatingInput" 
           placeholder="name@example.com" required>
        <label for="floatingInput">Username</label>
        </div>

        <div class="form-floating">
        <input value="<?=oldvalue('email',$user['email'])?>" 
           type="email" name="email" class="form-control" id="floatingInput" 
           placeholder="name@example.com" required>
        <label for="floatingInput">Email address</label>
        </div>

        <div class="form-floating mt-5">
        <input value="<?=oldvalue('bio',$user['bio'])?>" 
           type="text" name="bio" class="form-control" id="floatingInput" 
           placeholder="name@example.com" required>
        <label for="floatingInput">Bio</label>
        </div>

        <div class="form-floating">
        <input  value="<?oldvalue('password')?>" type="password" name=password class="form-control" id="floatingPassword" placeholder="Password">
        <label for="floatingPassword">Password</label>
        </div>

        <div class="form-floating">
        <select id="dropdown1" class="form-select mb-3" name="role">
          <option value="user" <?= ($user['role'] == 'user') ? 'selected' : '' ?>>User</option>
          <option value="admin" <?= ($user['role'] == 'admin') ? 'selected' : '' ?>>Admin</option>
        </select>
        <label for="floatingInput">Role</label>
        </div> 

        <div class="d-flex justify-content-between mt-3">
        <a href="<?=ROOT?>/admin/users" class="btn btn-secondary py-2 px-4">Back</a>
        <button class="btn btn-primary py-2 px-4" type="submit">Save</button>
        </div>

        </form>
    </div>
    <?php }
    else{
        echo '<div class="alert alert-danger">User not found</div>';
        echo '<a href="'.ROOT.'/admin/users" class="btn btn-primary">Back to Users</a>';
    }
    ?>     
<?php elseif($action == 'delete'):?> 
    <!-- Delete user functionality here -->
    <?php
    $delete_id=$url[3];
    $query="SELECT * FROM users where id=:id";
    $user=query_row($query,['id'=>$delete_id]);
    if(!$user){
        echo '<div class="alert alert-danger">User not found</div>';
        echo '<a href="'.ROOT.'/admin/users" class="btn btn-primary">Back to Users</a>';
        die;
    }else{
        $query="UPDATE users SET active=0 where id=:id";
        $user=query($query,['id'=>$delete_id]);
        if(file_exists('/home/Iamrajesh/htdocs/blogs/public'.$user['image'])){
            unlink('/home/Iamrajesh/htdocs/blogs/public'.$user['image']);
        }
        ?>
        <div class="alert alert-success">User deleted successfully</div>
        <a href="<?=ROOT?>/admin/users" class="btn btn-primary">Back to Users</a>
        <?php
    }
    ?>
<?php else:?>    
    <!-- List all users here -->

    <div class="table-responsive">    
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Username</th>
                    <th>Email</th>
                    <th>Role</th>
                    <th>Image</th>
                    <th>Date</th>
                    <th>Action</th>
                </tr>
            </thead>
            <?php  
            $limit=3;
            $offset=($PAGE['page_number']-1)*$limit;
            if($url[2]=='u'){
                $active='';
             }
             elseif($url[2]=='a'){
                $active='where active=1 and role="admin"';
             }
            else{
                $active = 'where active=1';
            }
           
            $query="SELECT * FROM users  $active order by id desc limit $limit offset $offset";
            $users=query($query);
            ?>
            <tbody>
                <?php if(!empty($users)):?>
                    <?php foreach ($users as $user): ?>
                        <tr class="align-middle">
                            <td><?=$user['id']?></td>
                            <td><?=esc($user['username'])?></td>
                            <td><?=$user['email']?></td>
                            <td><?=$user['role']?></td>
                            <td>
                            <img src="<?=get_image($user['image'])?>" class="img-thumbnail" width="100" height="100">
                            </td>
                            <td><?= date('d-m-Y', strtotime($user['date'])) ?></td>
                            <td>
                                <a href="<?=ROOT?>/admin/users/edit/<?=$user['id']?>" class="btn btn-primary"><i class="bi bi-pencil-square"></i></a>
                                <a data-bs-toggle="modal" data-bs-target="#deleteModal" class="btn btn-danger"><i class="bi bi-trash"></i></a>
                                <div class="modal fade" id="deleteModal" tabindex="-1" aria-labelledby="deleteModalLabel" aria-hidden="true">
                                <div class="modal-dialog modal-dialog-centered">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="deleteModalLabel">Confirm Deletion</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body text-center">
                                            <p>Do you want to delete this user?</p>
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                            <a href="<?=ROOT?>/admin/users/delete/<?=$user['id']?>" class="btn btn-danger">Delete</a>
                                        </div>
                                    </div>
                                </div>
                                </div>                           
                            </td>
                        </tr>
                    <?php endforeach; ?>
                <?php endif; ?>
            </tbody>
        </table>

        <div class="col-md-12 d-flex justify-content-center gap-2 mt-3 mb-3">
            <a href="<?=$PAGE['first_link']?>" class="btn btn-primary">First Page</a>
            <a href="<?=$PAGE['prev_link']?>" class="btn btn-primary">Previous</a>
            <a href="<?=$PAGE['next_link']?>" class="btn btn-primary">Next</a>
        </div>
    </div>
<?php endif; ?>
