<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Error</title>
    <link href="https://fonts.googleapis.com/css?family=Carter+One|Roboto+Condensed" rel="stylesheet">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <style>
        body {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 100vh;
            margin: 0;
            background: #121212;
            font-family: "Roboto Condensed", sans-serif;
            text-align: center;
            overflow: hidden;
            color: white;
        }

        h1 {
            font-size: 3rem;
            font-family: "Carter One", cursive;
            margin-bottom: 20px;
        }

        .button {
            display: inline-block;
            padding: 12px 25px;
            background: #ff5733;
            color: white;
            text-decoration: none;
            font-size: 1.2rem;
            border-radius: 8px;
            margin-top: 20px;
            transition: background 0.3s ease;
        }

        .button:hover {
            background: #d94326;
        }

        .compass-container {
            margin-top: 50px;
            width: 350px;
            height: 350px;
            position: relative;
        }

        .compass-container svg {
            width: 100%;
            height: 100%;
        }

        #Spinner {
            transform-origin: center;
            transition: transform 0.05s linear;
        }
    </style>
</head>
<body>
<div class="message">
    <h1>You are lost.</h1>
    <a href="<?=ROOT?>" class="button">Go Home</a>
</div>

<div class="compass-container">
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 288 288">
        <!-- Compass Outer Ring -->
        <circle cx="144" cy="144" r="130" stroke="white" stroke-width="4" fill="none"/>
        
        <!-- Compass Direction Markers -->
        <text x="140" y="30" font-size="24" fill="white" font-weight="bold">N</text>
        <text x="255" y="150" font-size="24" fill="white" font-weight="bold">E</text>
        <text x="140" y="270" font-size="24" fill="white" font-weight="bold">S</text>
        <text x="30" y="150" font-size="24" fill="white" font-weight="bold">W</text>

        <!-- Rotation Needle -->
        <g id="Spinner">
            <!-- Red Top Part of Needle -->
            <polygon points="144,50 154,144 134,144" fill="red"/>
            
            <!-- White Bottom Part of Needle -->
            <polygon points="144,238 154,144 134,144" fill="white"/>
            
            <!-- Compass Center Circle -->
            <circle cx="144" cy="144" r="8" fill="black" stroke="white" stroke-width="2"/>
        </g>
    </svg>
</div>

<script>
    $(document).mousemove(function (event) {
        let compass = $(".compass-container");
        let compassOffset = compass.offset();
        let compassCenterX = compassOffset.left + compass.width() / 2;
        let compassCenterY = compassOffset.top + compass.height() / 2;

        let deltaX = event.pageX - compassCenterX;
        let deltaY = event.pageY - compassCenterY;
        let angle = Math.atan2(deltaY, deltaX) * (180 / Math.PI) + 90;

        $("#Spinner").css("transform", `rotate(${angle}deg)`);
    });
</script>
</body>
</html>
