<?php

if(!logged_in()){
    redirect(ROOT . '/login'); 
}
?>
<style>
#previewImage {
    max-width: 100%;
    width: 50%;
    height: 50%;
    max-height: 200px; /* Adjust height for better visibility */
    display: none;
    object-fit: contain; /* Prevent stretching */
    border-radius: 8px; /* Optional: Rounded corners */
    margin-top: 10px;
}

/* Responsive Canvas */
#croppedCanvas {
    max-width: 80%;  /* Makes it responsive */
    height: auto;  /* Maintains aspect ratio */
    display: block;
    margin: auto;
    border-radius: 10px;
    border: 1px solid #ddd;
}

/* Mobile Optimization */
@media (max-width: 768px) {
    #croppedCanvas {
        max-width: 90%; /* Ensures it doesn’t overflow */
    }
}


body {
    background-color: #f8f9fa;
}

.form-control:focus, .form-select:focus {
    border-color: #0d6efd;
    box-shadow: 0 0 8px rgba(13, 110, 253, 0.25);
}

#imageUpload {
    cursor: pointer;
}

.btn-primary {
    background-color: #0d6efd;
    border: none;
}

.btn-primary:hover {
    background-color: #025ce2;
}

</style>  
<?

        $section = $url[1] ?? 'dashboard';
        $action = $url[2] ?? 'view';
        // echo $section;
        //  echo $action;
        $filename= "../app/pages/user/$section.php";
        if(!file_exists($filename)){
          $filename = "../app/pages/user/404.php";
        }
        if($section=='user'){
          require_once "../app/pages/user/user-controller.php";
        } 
        elseif($section=='post'){
          require_once "../app/pages/user/post-controller.php";
        }
        include 'includes/header.php';
?>


        <?php
          require_once $filename;
        ?>

     <!-- text editor js -->
<script>
    let cropper;
    const imageInput = document.getElementById("imageUpload");
    const previewImage = document.getElementById("previewImage");
    const croppedImageData = document.getElementById("croppedImageData");
    const croppedCanvas = document.getElementById("croppedCanvas");

    // If the user has an existing image, initialize Cropper.js on it
    if (previewImage.src && previewImage.src !== window.location.href) {
        previewImage.style.display = "block";
        cropper = new Cropper(previewImage, {
            aspectRatio: 1, // 1:1 aspect ratio
            viewMode: 1,
            autoCropArea: 1,
            crop() {
                updateCroppedImage();
            }
        });
    }

    // Handle New Image Upload
    imageInput.addEventListener("change", function (event) {
        const file = event.target.files[0];

        if (file) {
            const reader = new FileReader();
            reader.onload = function (e) {
                previewImage.src = e.target.result;
                previewImage.style.display = "block";

                // Destroy previous cropper instance
                if (cropper) {
                    cropper.destroy();
                }

                // Initialize new Cropper.js instance
                cropper = new Cropper(previewImage, {
                    aspectRatio: 1,
                    viewMode: 1,
                    autoCropArea: 1,
                    crop() {
                        updateCroppedImage();
                    }
                });
            };
            reader.readAsDataURL(file);
        }
    });

    // Function to update cropped image data
    function updateCroppedImage() {
        if (!cropper) return;

        const canvas = cropper.getCroppedCanvas({
            width: 500,
            height: 500
        });

        croppedImageData.value = canvas.toDataURL("image/jpeg");

        // Show cropped image preview
        const ctx = croppedCanvas.getContext("2d");
        croppedCanvas.width = 500;
        croppedCanvas.height = 500;
        ctx.clearRect(0, 0, 500, 500);
        ctx.drawImage(canvas, 0, 0);
        croppedCanvas.style.display = "block";
    }
</script>


</body></html>