<?php if($action == 'edit'):?>
    <!-- Edit user form or functionality here -->
    <?php
    $edit_id=$_SESSION['user_id'] ?? '';
        $query="SELECT * FROM users where id=:id and active=1";
        $user=query_row($query,['id'=>$edit_id]);
        if($user){
    ?>
        <div class="container d-flex justify-content-center mt-5">
            <div class="card shadow-lg p-4" style="width: 100%; max-width: 600px; border-radius: 10px;">
                <h2 class="text-center mb-4">Edit User</h2>

                <?php if (!empty($errors)): ?>
                    <div class="alert alert-danger">
                        <ul>
                            <?php foreach ($errors as $error): ?>
                                <li><?= $error ?></li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                <?php endif; ?>

                <form method="POST" action="<?=ROOT?>/user/user/edit/<?=$user['id']?>" enctype="multipart/form-data">
                    <input type="hidden" name="id" value="<?=$user['id']?>">

                    <!-- Image Upload -->
                    <div class="text-center">
                        <label class="form-label fw-bold">Profile Image</label>
                        <div class="mb-3">
                            <input type="file" name="image" id="imageUpload" class="form-control" accept="image/*">
                        </div>
                        <div class="mb-3">
                            <img id="previewImage" 
                                src="<?= !empty($user['image']) ? get_image($user['image']) : '' ?>" 
                                class="img-thumbnail rounded-circle shadow-sm" 
                                style="width: 120px; height: 120px; object-fit: cover; <?= !empty($user['image']) ? '' : 'display: none;' ?>">
                        </div>
                        <canvas id="croppedCanvas" style="display: none;"></canvas>
                    </div>

                    <input type="hidden" name="cropped_image" id="croppedImageData">

                    <!-- Username -->
                    <div class="form-floating mb-3 mt-3">
                        <input value="<?= oldvalue('username', $user['username']) ?>" type="text" name="username" class="form-control" id="floatingUsername" required>
                        <label for="floatingUsername">Username</label>
                    </div>

                    <!-- Email -->
                    <div class="form-floating mb-3">
                        <input value="<?= oldvalue('email', $user['email']) ?>" type="email" name="email" class="form-control" id="floatingEmail" required>
                        <label for="floatingEmail">Email Address</label>
                    </div>

                    <!-- Bio -->
                    <div class="form-floating mb-3 mt-3">
                        <input value="<?= oldvalue('bio', $user['bio']) ?>" type="text" name="bio" class="form-control" id="floatingUsername" required>
                        <label for="floatingUsername">Bio</label>
                    </div>

                    <!-- Password -->
                    <div class="form-floating mb-3">
                        <input type="password" name="password" class="form-control" id="floatingPassword" placeholder="New Password">
                        <label for="floatingPassword">Password (Leave to keep unchanged)</label>
                    </div>

                    <!-- Role (for Admins Only) -->
                    <?php if ($user['role'] == 'admin'): ?>
                        <div class="form-floating mb-3">
                            <select class="form-select" name="role">
                                <option value="user" <?= ($user['role'] == 'user') ? 'selected' : '' ?>>User</option>
                                <option value="admin" <?= ($user['role'] == 'admin') ? 'selected' : '' ?>>Admin</option>
                            </select>
                            <label for="floatingRole">Role</label>
                        </div>
                    <?php else: ?> 
                        <input type="hidden" value="<?=$user['role']?>" name="role">   
                    <?php endif; ?>

                    <!-- Buttons -->
                    <div class="d-flex justify-content-between">
                        <a href="<?=ROOT?>" class="btn btn-outline-secondary px-4">Back</a>
                        <button class="btn btn-primary px-4" type="submit">Save</button>
                    </div>
                </form>
            </div>
        </div>

    <?php }
    else{
        echo '<div class="alert alert-danger">User not found</div>';
        echo '<a href="'.ROOT.'/admin/users" class="btn btn-primary">Back to Users</a>';
    }
    ?> 
<?php endif; ?>
